Download it now!
Bug 135082 - Print selection doesn't print selection but whole page
Summary: Print selection doesn't print selection but whole page
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Print
  Show dependency treegraph
 
Reported: 2020-07-23 19:14 UTC by Telesto
Modified: 2020-10-30 10:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bibisect in 64-7.1, tail of terminal output (2.49 KB, text/plain)
2020-07-23 20:17 UTC, Terrence Enger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-07-23 19:14:38 UTC
Description:
Print selection doesn't print selection

Steps to Reproduce:
1. Open attachment 50410 [details] (bug 40258)
2. Select text from "So, here is ..." to the end of the
    page.
3. Take menu options File > Print.  Program presents Print
    dialog offering Range and Copies: Selection.
4. Select a pdf printer
5. Print

Whole page is printed

Actual Results:
Whole page printed

Expected Results:
Selection only


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 52820b52b3bca45e2db527d1cc5f4488b2e0b9d0
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-07-23 19:16:17 UTC
Note the print preview shows it already, no need to print
Comment 2 Telesto 2020-07-23 19:16:37 UTC Comment hidden (obsolete)
Comment 3 Telesto 2020-07-23 19:17:59 UTC
No repro with
7.0 master
Comment 4 Terrence Enger 2020-07-23 20:17:27 UTC
Created attachment 163461 [details]
bibisect in 64-7.1, tail of terminal output

(Heh!  Telesto filed this even as I was typing up a bug description
and bibisect results.)


Working in biblsect-linux-64-7.1 on debian-buster with xfce desktop,
printing to an HP LaserJet MFP M130fw, I see that the bug started:

          commit    date
          --------  -------------------
    good  f1f5f255  2020-07-02 09:29:01
    bad   c636115a  2020-07-02 10:12:02 

The bad commit is (lines rewrapped):

    commit 14b8c176133979cd1c3163ef5fe3eed0e6479fea
    Author:     Srijan Bhatia <srijanbhatiasun@gmail.com>
    AuthorDate: Thu Jun 18 18:41:14 2020 +0530
    Commit:     Mike Kaganski <mike.kaganski@collabora.com>
    CommitDate: Thu Jul 2 12:12:02 2020 +0200

        tdf#127680 Add the option to print even or odd values from a
        particular range
    
	Added a box besides the pages option that lets the user choose
	between left
	and right pages/left pages/right pages.
    
	Change-Id: Iee0386f4f3cfd2dac3fcf898a3fefb5434cb27a8
	Reviewed-on: https://gerrit.libreoffice.org/c/core/+/96612
	Tested-by: Jenkins
	Reviewed-by: Heiko Tietze <heiko.tietze@documentfoundation.org>
	Reviewed-by: Mike Kaganski <mike.kaganski@collabora.com>


I am setting status NEW and removing keyword bibisectRequest and
adding keywords bibisected, bisected.
Comment 5 Srijan Bhatia 2020-07-30 11:20:32 UTC
patch: https://gerrit.libreoffice.org/c/core/+/99790
Comment 6 Commit Notification 2020-08-07 13:58:11 UTC
Srijan Bhatia committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/aedbbfd934c65b4d73afd13020116fb65567f0d1

tdf#135082 fix print selection

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Timur 2020-10-19 07:03:39 UTC
This looks fixed, probably just forgotten to be set so. 

This specific example suffers from bug 40258.
Comment 8 Commit Notification 2020-10-27 17:38:39 UTC
Srijan Bhatia committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/fdfd3638a3a2ca099cc47f8eb0d449f4c64fd200

tdf#135082 fix print selection

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2020-10-30 10:53:37 UTC
(In reply to Timur from comment #7)
> This looks fixed, probably just forgotten to be set so. 
> 
> This specific example suffers from bug 40258.

Setting to VERIFIED then